Bug 1286363 - bigint.pm missing from standard install
Summary: bigint.pm missing from standard install
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: perl
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jitka Plesnikova
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-11-28 15:22 UTC by cb-rhbugz
Modified: 2020-03-21 23:19 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-30 10:16:55 UTC
Type: Bug


Attachments (Terms of Use)

Description cb-rhbugz 2015-11-28 15:22:07 UTC
Description of problem:
Perl package no longer includes bigint.pm

Version-Release number of selected component (if applicable):
perl-5.22.0-349.fc23.x86_64

How reproducible:
100%

Steps to Reproduce:
Run this command at a prompt
perl -Mbigint -e 'print 1->as_hex()."\n"'


Actual results:
Can't locate bigint.pm in @INC (you may need to install the bigint module) (@INC contains: /usr/local/lib64/perl5 /usr/local/share/perl5 /usr/lib64/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib64/perl5 /usr/share/perl5 .).


Expected results:
0x1

Additional info:
It seems that bigint.pm is now contained in perl-bignum, which is not installed by default. This results in breakage when scripts are run on Fedora 23. Since this is a standard feature of perl, it seems reasonable to expect such scripts to run in a standard install of Fedora 23. This is a regression since Fedora 22.

Comment 1 Petr Pisar 2015-11-30 10:16:55 UTC
The perl package in fedora is intended to deliver /usr/bin/perl only. If you you want a module, install 'perl(THE_MODULE)'. If you want to install all core modules delivered with upstream perl, install perl-core package.


Note You need to log in before you can comment on or make changes to this bug.